Page MenuHomePhabricator

Improve UI for handling Newsletter permissions
Closed, ResolvedPublic

Description

Looking at http://newsletter-test.wmflabs.org/wiki/Special:NewsletterManage, I was thinking of a more integrated UI for adding/removing contributors and also for managing their permissions:

NewsletterContributorsPermissions
The Wiki Tribune@Tinaj1234 Owner - Publisher
@01tonythomas Owner - Publisher - [ Remove ]
Add [...................]
Pedianers@QuimGil Owner - Publisher
Add [...................]

However, while I was typing this table I realized that the implementation might be complex for many reasons and we have a very few days of GSoC left. So maybe I can create a task proposing this enhanced UI, but we would leave it for later?

Thanks @Qgil for this one. It looks great, but will take a bit long to get done.
@Qgil : we should be moving this to a separate task, and lets see if we get enough time to complete this one too.

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterImprove UI for handling Newsletter permissions

Event Timeline

Qgil created this task.Aug 8 2015, 9:01 AM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Tinaj1234, QuimGil, 01tonythomas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 9:01 AM

Change 230383 had a related patch set uploaded (by Tinaj1234):
Improve UI for handling Newsletter permissions

https://gerrit.wikimedia.org/r/230383

QuimGil updated the task description. (Show Details)Aug 9 2015, 4:47 PM
QuimGil set Security to None.

Change 230383 merged by jenkins-bot:
Improve UI for handling Newsletter permissions

https://gerrit.wikimedia.org/r/230383

Tinaj1234 raised the priority of this task from Low to High.
Qgil added a comment.Aug 12 2015, 7:25 AM

Considering that GSoC's deadline is literally around the corner, I would leave the integration of the textfield to add new publishers for later. Currently there is a separate table that covers this functionality and works. We have other tasks "To be closed as the earliest" waiting.

@Tinaj1234, if you agree, let's move this task back to the backlog with Low priority (or close and create a new one for adding publishers, if you prefer).

@Tinaj1234, if you agree, let's move this task back to the backlog with Low priority (or close and create a new one for adding publishers, if you prefer).

Agreed. I'll close this one and create another one for adding publishers.

Tinaj1234 closed this task as Resolved.Aug 12 2015, 11:32 AM